# List executions

List all executions.

Endpoint: GET /iacm/api/orgs/{org}/projects/{project}/executions
Version: 1.0
Security: x-api-key

## Query parameters:

  - `limit` (integer)
    Limit is the number of records to return for a page.
    Example: 30

  - `page` (integer)
    Page is the page number to return relative to the page 'limit'.
    Example: 1

  - `workspace` (string)
    Workspace identifier
    Example: "Accusamus maiores impedit repellat blanditiis cupiditate."

  - `pipeline_execution_id` (string)
    Pipeline identifier
    Example: "Qui iste ut sint."

  - `status` (array)
    Status of the execution
    Example: ["Quis placeat enim corporis.","Repellat ut.","Officiis accusamus voluptas praesentium nihil.","Ut eaque molestias consequatur unde."]

  - `pipeline_name` (string)
    Pipeline name
    Example: "Aliquid omnis enim voluptatem est."

  - `start_time` (integer)
    Specify the start time for the query
    Example: 1691150743950

  - `end_time` (integer)
    Specify the end time limit for the query
    Example: 1691150743950

## Path parameters:

  - `org` (string, required)
    Org is the organisation identifier.
    Example: "5m3"

  - `project` (string, required)
    Project is the project identifier.
    Example: "jzr"

## Header parameters:

  - `Harness-Account` (string, required)
    Account is the internal customer account ID.
    Example: "54f"

## Response 200 fields (application/json):

  - `account` (string, required)
    Account is the internal customer account ID.
    Example: "k"

  - `created` (integer, required)
    Created is the unix timestamp at which the resource was originally created in milliseconds.
    Example: 2025511478108989000

  - `org` (string, required)
    Org is the organisation identifier.
    Example: "z1"

  - `pipeline` (string, required)
    The unique identifier for the associated pipeline
    Example: "Rerum laudantium."

  - `pipeline_execution_id` (string, required)
    The unique identifier for the associated pipeline execution
    Example: "Quia sed eaque iusto aut quo consequuntur."

  - `pipeline_stage_id` (string, required)
    The unique identifier for the associated pipeline stage
    Example: "Vitae quo consectetur dolores atque quia perferendis."

  - `project` (string, required)
    Project is the project identifier.
    Example: "j"

  - `status` (string, required)
    The overall status of the execution
    Enum: "none", "success", "failure"

  - `workspace` (string, required)
    The unique identifier for the associated workspace
    Example: "Voluptates necessitatibus odio sit minus."

## Response 400 fields (application/vnd.goa.error):

  - `fault` (boolean, required)
    Is the error a server-side fault?

  - `id` (string, required)
    ID is a unique identifier for this particular occurrence of the problem.
    Example: "123abc"

  - `message` (string, required)
    Message is a human-readable explanation specific to this occurrence of the problem.
    Example: "parameter 'p' must be an integer"

  - `name` (string, required)
    Name is the name of this class of errors.
    Example: "bad_request"

  - `temporary` (boolean, required)
    Is the error temporary?

  - `timeout` (boolean, required)
    Is the error a timeout?
    Example: true


